Dependencias no satisfechas. Libc6 se rompe el sistema de paquete -- 20.04 campo con software-installation campo con dpkg campo con dependencies campo con glibc camp askubuntu Relacionados El problema

Unmet dependencies. Libc6 The package system is broken


0
vote

problema

Español

Cada vez que intento actualizar o instalar un nuevo paquete, obtengo lo siguiente

IBC6-DBG: depende: libc6 (= 2.31-0ubuntu9.2) pero 2.31-0ubuntu9.1 está instalado
libc6-dev: depende: libc6 (= 2.31-0ubuntu9.2) pero 2.31-0ubuntu9.1 está instalado
Depende: libc-dev-bin (= 2.31-0ubuntu9.2) pero 2.31-0ubuntu9.2 está instalado libc6-i386: depende: libc6 (= 2.31-0ubuntu9.2) pero 2.31-0ubuntu9.1 está instalado


He intentado 'apt --fix-broken install' He intentado 'Sudo-apt-get -f install' para forzar la instalación.
Recibo los mismos mensajes de error en ambos casos.

Sigo siendo nuevo en Linux y me encantaría aprender a solucionar estos problemas sin limpiar el sistema operativo y reinstalar

Original en ingles

Whenever I try to upgrade or install a new package i get the following

ibc6-dbg: Depends: libc6 (= 2.31-0ubuntu9.2) but 2.31-0ubuntu9.1 is installed
libc6-dev: Depends: libc6 (= 2.31-0ubuntu9.2) but 2.31-0ubuntu9.1 is installed
Depends: libc-dev-bin (= 2.31-0ubuntu9.2) but 2.31-0ubuntu9.2 is installed libc6-i386: Depends: libc6 (= 2.31-0ubuntu9.2) but 2.31-0ubuntu9.1 is installed


I've tried 'apt --fix-broken install' I've tried 'sudo apt-get -f install' to force install.
I get the same error messages in both cases.

I'm still new to Linux and would love to learn how to fix these issues without wiping the os and reinstalling

              
   
   

Lista de respuestas


Relacionados problema

22  Actualización de GLIBC  ( Upgrading glibc ) 
Acabo de leer aquí que hay un error de seguridad en GLIBC y que ya está arreglado. Me enteré, que la versión real instalada de GLIBC se puede mostrar por ...

8  'GLIBC_2.25' no se encuentra en Ubuntu (Subsistema de Windows para Linux)  ( Glibc 2 25 not found on ubuntu windows subsystem for linux ) 
Tengo un error siguiente en Ubuntu 16.04 ( Subsistema de Windows para Linux ) /lib/x86_64-linux-gnu/libc.so.6: version 'GLIBC_2.25' not found Ya lo h...

4  La compilación de M4 1.4.10 a 1.4.18 falla debido a "¡Por favor, PORT GNULIB FREADAHEAD.C a su plataforma!" en Ubuntu 18.10  ( Compilation of m4 1 4 10 to 1 4 18 fails due to please port gnulib freadahead c ) 
La construcción de las liberaciones de Tarball de GNU M4 1.4.10 a 1.4.18 (no probó todas las versiones de Hotfix, pero supongo que el error es consistente ent...

-1  SSH no se conecta después de la actualización de la biblioteca C / bin / bash no se encuentra [cerrada]  ( Ssh not connecting after updating c library bin bash not found ) 
cerrado . Esta pregunta necesita detalles o claridad . Actualmente no está aceptando respuestas. ...

4  ¿Qué lanzamientos de Ubuntu tienen arreglos para CVE-2015-7547 ("error extremadamente grave" con libc getaddrinfo ())? [duplicar]  ( Which ubuntu releases have fixes for cve 2015 7547 extremely severe bug with ) 
Esta pregunta ya tiene respuestas aquí : ¿Cómo puedo saber si un CVE tiene ¿Se ha solucionado en los...

2  Después de la actualización para precisar, LIBC se ve husosa y no se puede actualizar?  ( After update to precise libc looks hosed and cant update ) 
Parece que LIBC es SOSED Y LDCONFIG ES SEGFAulting Conexión a la izquierda y la derecha que causa problemas ... Salida cuando intento ejecutar ABCDEFGHIJKL...

5  Glibcxx_3.4.15 no encontrado  ( Glibcxx 3 4 15 not found ) 
Cuando intento ejecutar Blender Builds de graphicall.org (11.04 Natty 64-bit), obtengo el siguiente mensaje: ./blender: /usr/lib/x86_64-linux-gnu/libstdc++...

2  ¿Cómo ver la lista de funciones de la biblioteca C?  ( How to view the list of c library functions ) 
Soy un novato en la programación de Linux. Descubrí que la forma de ver la lista de llamadas del sistema en Linux a través de la línea de comandos es: man ...

2  Estoy buscando cracklib2-dev para usar en progreso de conectar mi Mac al servidor Ubuntu  ( I%c2%b4m searching for cracklib2 dev to use in progress of connecting my mac to the u ) 
Intentado durante muchas horas instalar cracklib2-dev. ¿Cómo puedo hacer esto en la terminal? ...

8  ¿Cómo puedo arreglar un libc.so.6 faltante / renombrado?  ( How can i fix a missing renamed libc so 6 ) 
La razón por la que necesito de alguna manera convertirme en la raíz sin escribir sudo es porque error while loading shared libraries: libc.so.6: ca...




© 2022 respuesta.top Reservados todos los derechos. Centro de preguntas y respuestas reservados todos los derechos